summaryrefslogtreecommitdiffstats
path: root/source/x/libkkc-data/libkkc-data.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/libkkc-data/libkkc-data.SlackBuild')
-rwxr-xr-xsource/x/libkkc-data/libkkc-data.SlackBuild12
1 files changed, 10 insertions, 2 deletions
diff --git a/source/x/libkkc-data/libkkc-data.SlackBuild b/source/x/libkkc-data/libkkc-data.SlackBuild
index c35d3b623..fc24a2637 100755
--- a/source/x/libkkc-data/libkkc-data.SlackBuild
+++ b/source/x/libkkc-data/libkkc-data.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for libkkc-data
# Copyright 2015-2016 Heinz Wiesinger, Amsterdam, The Netherlands
-# Copyright 2016, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2016, 2020, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libkkc-data
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d- | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -85,6 +85,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Something for later?
+#cat $CWD/ba1c1bd3eb86d887fc3689c3142732658071b5f7.patch | patch -p1 --verbose || exit 1
+#sed -i "s|#!/usr/bin/python$|#!/usr/bin/python3|g" data/templates/libkkc-data/tools/*.py
+
if [ ! -r configure ]; then
if [ -x ./autogen.sh ]; then
NOCONFIGURE=1 ./autogen.sh
@@ -93,6 +97,10 @@ if [ ! -r configure ]; then
fi
fi
+###########################
+# FORCING PYTHON2 FOR NOW #
+###########################
+PYTHON=python2 \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \